Commit 06065995 authored by Sylvester Keil's avatar Sylvester Keil

update to jekyll 1.0

see #26
parent c78fba3a
......@@ -17,7 +17,7 @@ task :default => [:features]
task :release do |t|
system "gem build jekyll-scholar.gemspec"
system "git tag #{Jekyll::Scholar::VERSION}"
system "git tag v#{Jekyll::Scholar::VERSION}"
system "git push --tags"
system "gem push jekyll-scholar-#{Jekyll::Scholar::VERSION}.gem"
end
......@@ -24,7 +24,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = '>= 1.3.6'
s.rubyforge_project = s.name
s.add_runtime_dependency('jekyll', '~> 0.10')
s.add_runtime_dependency('jekyll', '~> 1.0')
s.add_runtime_dependency('citeproc-ruby', '~> 0.0.6')
s.add_runtime_dependency('bibtex-ruby', '~> 2.3')
......
......@@ -16,7 +16,7 @@ module Jekyll
def initialize(config = {})
super
@config['scholar'] = Scholar.defaults.merge(@config['scholar'] || {})
@markdown = MarkdownConverter.new(config)
@markdown = Jekyll::Converters::Markdown.new(config)
end
def matches(extension)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment